import Vue from 'vue';
import App from './App.vue';
import {sync} from 'vuex-router-sync';
import store from './store';
import router from './router';

// bootstrap
import 'jquery/dist/jquery.min.js';
import 'bootstrap/dist/css/bootstrap.min.css';
import 'bootstrap/dist/js/bootstrap.min.js';

// fontawesome
import {library} from '@fortawesome/fontawesome-svg-core';
import {
    faPlus,
    faCheckCircle,
    faEdit,
    faTrash,
    faCat,
    faSyncAlt,
    faSort,
    faSortUp,
    faSortDown,
    faTh,
    faList,
    faWindowClose,
    faCamera,
    faStop,
    faPen,
    faCheck,
    faTimes,
    faSave,
    faEye,
    faComment,
    faEnvelope,
    faUser,
    faComments,
    faArchive,
    faMinus,
    faHourglass,
    faExclamation,
    faClipboard,
    faTasks,
    faAngleRight,
    faAngleDown
} from '@fortawesome/free-solid-svg-icons';
import {FontAwesomeIcon} from '@fortawesome/vue-fontawesome';

import vueDebounce from 'vue-debounce';

library.add(faPlus, faCheckCircle, faEdit, faTrash, faCat, faSyncAlt, faSort, faSortUp, faSortDown, faTh, faList,
    faWindowClose, faCamera, faStop, faPen, faCheck, faTimes, faSave, faEye, faComment, faUser, faComments, faEnvelope,
    faArchive, faMinus, faExclamation, faHourglass, faClipboard, faTasks, faAngleDown, faAngleRight);
Vue.component('font-awesome-icon', FontAwesomeIcon);

sync(store, router);

new Vue({
    el: '#app',
    store,
    router,
    render: h => h(App),
});

Vue.use(vueDebounce);